curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/getCourseProgress/{courseId}/student/{studentId} \
--header 'Authorization: Bearer <token>'{
"lineItems": [
{
"type": "<string>",
"assessmentLineItemSourcedId": "<string>",
"courseComponentSourcedId": "<string>",
"title": "<string>",
"results": [
{
"status": "active",
"scoreDate": "2023-11-07T05:31:56Z",
"scoreStatus": "exempt",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
]
}
]
}Get the course progress for a student in a course.
Returns a list of assessment line items for the course and student.
A type “component” indicates a component of the lesson plan such as a unit or lesson.
A type “resource” indicates a resource such as a video, audio, or document file as well as a quiz or question.
Each line item contains a list of assessment results in the results attribute, related to student and course.
Filtering by Lesson
You can optionally filter the results to only include line items for a specific lesson by providing the lessonId query parameter with the component resource ID.
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/getCourseProgress/{courseId}/student/{studentId} \
--header 'Authorization: Bearer <token>'{
"lineItems": [
{
"type": "<string>",
"assessmentLineItemSourcedId": "<string>",
"courseComponentSourcedId": "<string>",
"title": "<string>",
"results": [
{
"status": "active",
"scoreDate": "2023-11-07T05:31:56Z",
"scoreStatus": "exempt",
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"score": 123,
"textScore": "<string>",
"scoreScale": {
"sourcedId": "<string>"
},
"scorePercentile": 123,
"comment": "<string>",
"learningObjectiveSet": [
{
"source": "<string>",
"learningObjectiveResults": [
{
"learningObjectiveId": "<string>",
"score": 123,
"textScore": "<string>"
}
]
}
],
"inProgress": "<string>",
"incomplete": "<string>",
"late": "<string>",
"missing": "<string>"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Optional component resource ID to filter results by a specific lesson
1"lesson-123"
Course progress
Assessment line items for the course and student
Show child attributes